//---------------------------------------------------------------------------

#ifndef FractDataH
#define FractDataH

#include "DataItem.h"

class CFractData
{
  CDataItem *data;
  int x;
  int y;
  int linesfilled;    //how many lines are allready filled
public:
  CFractData();
  ~CFractData();
  bool setDimensions(int xx,int yy);
  int getX();
  int getY();
  inline void setLinesFilled(int y) {linesfilled = y;};
  inline int getLinesFilled() {return linesfilled;};

  inline CDataItem * getDataPtr() {return data;};
};

//---------------------------------------------------------------------------
#endif
